### Method

# Ggit Repository drop_stash

#### Declaration [src]

    void
    ggit_repository_drop_stash (
      GgitRepository* repository,
      gsize index,
      GError** error
    )

#### Description [src]

Removes a single stashed state from the stash list.

#### Parameters

`index`

  Type: `gsize`

  The position within the stash list. 0 points to the. most recent stashed state.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.